#include <iostream>
#include<map>
using namespace std;
map<long long,bool>vrednosti;
long long ProizvodCf(long long broj){
    long long Proizvod=1;
    while(broj!=0){
        int cifra;
        cifra=broj%10;
        Proizvod*=cifra;
        broj/=10;
    }
    return Proizvod;

}
long long Racunaj(long long n){
    long long broj=0;
    long long j=0;
    long long proizvodp;
    for(long long i=1;i<=n;i++){

        if(i<10){
            vrednosti[i]=true;
            broj++;
        }
        else if(i==10){vrednosti[0]=true;broj++;}
        else{
            if(j%10==0){
                long long p=ProizvodCf(i);
                if(vrednosti[p]==false){
                    vrednosti[p]=true;
                    broj++;
                }
                proizvodp=p;
            }
            else{
                long long g;
                g=(proizvodp/(j%10))*(i%10);
                if(vrednosti[g]==false){
                    vrednosti[g]=true;
                    broj++;
                }
                proizvodp=g;

            }
        }
        j++;

    }
    return broj;
}
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int t;
    cin>>t;
    for(int i=0;i<t;i++){
        long long n;
        cin>>n;
        vrednosti.clear();
        cout<<Racunaj(n)<<'\n';
    }
    return 0;
}